Debian Bug report logs - #626539
RFP: backports.ssl-match-hostname -- Backport of ssl.match_hostname() from Python 3.2

version graph

Package: python2.7; Maintainer for python2.7 is Matthias Klose <doko@debian.org>; Source for python2.7 is src:python2.7.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Thu, 12 May 2011 18:27:02 UTC

Severity: wishlist

Fixed in version python2.7/2.7.3-11

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, wnpp@debian.org:
Bug#626539; Package wnpp. (Thu, 12 May 2011 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, wnpp@debian.org. (Thu, 12 May 2011 18:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: backports.ssl_match_hostname -- Backport of ssl.match_hostname() from Python 3.2
Date: Thu, 12 May 2011 20:22:59 +0200
Package: wnpp
Severity: wishlist

* Package name    : backports.ssl_match_hostname
  Version         : 3.2a3
  Upstream Author : Brandon Craig Rhodes
* URL             : https://bitbucket.org/brandon/backports.ssl_match_hostname
* License         : PSF
  Programming Lang: Python
  Description     : Backport of ssl.match_hostname() from Python 3.2

The Secure Sockets layer is only actually *secure* if you check the 
hostname in the certificate returned by the server to which you are 
connecting, and verify that it matches to hostname that you are trying 
to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to 
implement on your own. So the ssl package in the Standard Library of 
Python 3.2 now includes a match_hostname() function for performing this 
check instead of requiring every application to implement the check 
separately.

This backport brings match_hostname() to users of earlier versions of 
Python.

-- 
Jakub Wilk




Changed Bug title to 'RFP: backports.ssl-match-hostname -- Backport of ssl.match_hostname() from Python 3.2' from 'RFP: backports.ssl_match_hostname -- Backport of ssl.match_hostname() from Python 3.2' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:41:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'python2.7'. Request was from "tiposchi@tiscali.it" <tiposchi@tiscali.it> to control@bugs.debian.org. (Wed, 05 Dec 2012 14:03:02 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 10 Dec 2012 16:36:06 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 16:36:06 GMT) Full text and rfc822 format available.

Message #14 received at 626539-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 626539-close@bugs.debian.org
Subject: Bug#626539: fixed in python2.7 2.7.3-11
Date: Mon, 10 Dec 2012 16:32:57 +0000
Source: python2.7
Source-Version: 2.7.3-11

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626539@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Dec 2012 16:06:41 +0100
Source: python2.7
Binary: python2.7 libpython2.7-stdlib python2.7-minimal libpython2.7-minimal libpython2.7 python2.7-examples python2.7-dev libpython2.7-dev idle-python2.7 python2.7-doc python2.7-dbg libpython2.7-dbg
Architecture: source all amd64
Version: 2.7.3-11
Distribution: experimental
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 libpython2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 libpython2.7-dev - Header files and a static library for Python (v2.7)
 libpython2.7-minimal - Minimal subset of the Python language (version 2.7)
 libpython2.7-stdlib - Interactive high-level object-oriented language (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 626539
Changes: 
 python2.7 (2.7.3-11) experimental; urgency=low
 .
   * Update to 20121210, taken from the 2.7 branch.
     - Issue #16602: When a weakref's target was part of a long deallocation
       chain, the object could remain reachable through its weakref even though
       its refcount had dropped to zero.
     - Issue #16588: Silence unused-but-set warnings in Python/thread_pthread.
     - Issue #16248: Disable code execution from the user's home directory by
       tkinter when the -E flag is passed to Python.  Patch by Zachary Ware.
     - Issue #16628: Fix a memory leak in ctypes.resize().
     - Issue #13614: Fix setup.py register failure with invalid rst in
       description.
     - Issue #10182: The re module doesn't truncate indices to 32 bits anymore.
     - Issue #16573: In 2to3, treat enumerate() like a consuming call, so
       superfluous list() calls aren't added to filter(), map(), and zip()
       which are directly passed enumerate().
     - Issue #16476: Fix json.tool to avoid including trailing whitespace.
     - Issue #16549: Add tests for json.tools.
     - Issue #15990: Improve argument/parameter documentation.
   * Use _sysconfigdata.py in distutils.sysconfig.
   * Fix distutils.sysconfig.get_{config_h,makefile}_filename for multiarch.
   * Backport ssl.match_hostname from Python3. Closes: #626539.
Checksums-Sha1: 
 7c6d38eff696afb3cf83f0eaae31661408be8165 2288 python2.7_2.7.3-11.dsc
 148a6c8955f27d9c5ab80f32c8e68562c4319d96 746710 python2.7_2.7.3-11.diff.gz
 412dc782d14d33c4244591b2d603beb8f4985e45 715958 python2.7-examples_2.7.3-11_all.deb
 09363aadacd0987a8c56bbef4f63ee923603f6ae 306472 idle-python2.7_2.7.3-11_all.deb
 a817c3cbf447f53d3453c2dcd7a2b4339c1f22a2 6305672 python2.7-doc_2.7.3-11_all.deb
 4d894223ae28fcc7e05ca3a6b8246ffc0cf39dd5 321364 python2.7_2.7.3-11_amd64.deb
 abaee7eb07d52f7b19d14400e92128849d8a8641 2422834 libpython2.7-stdlib_2.7.3-11_amd64.deb
 e85612e9b36fe17ed4b28941926efcaf93cb34b4 1196550 python2.7-minimal_2.7.3-11_amd64.deb
 2b94fa18ed0ee03fbf78dc86059e7664b531be76 528818 libpython2.7-minimal_2.7.3-11_amd64.deb
 c56dcc51ee1fceacc4fd37693c22c37c09ee1cb2 1210434 libpython2.7_2.7.3-11_amd64.deb
 64c23e1eb3e783c2b5412603fa057d88ba8e8d0c 260480 python2.7-dev_2.7.3-11_amd64.deb
 73eb5b040746ef1aff94c2b7e2fb990afa73385e 22609964 libpython2.7-dev_2.7.3-11_amd64.deb
 13d6c4c1c2a7e682eb79b3a88b478d2c460c6559 8681936 python2.7-dbg_2.7.3-11_amd64.deb
 91aa18542ff1281995541889b831bcd535137edb 6838908 libpython2.7-dbg_2.7.3-11_amd64.deb
Checksums-Sha256: 
 5e4e6cfa52483e502be3c5b762f371fa21de73fda0dfbe4d8974f48f1337c070 2288 python2.7_2.7.3-11.dsc
 4e0ca854ff4c0591dddf2c0ec0ca23755862b3034e939029fd42b21580dcad93 746710 python2.7_2.7.3-11.diff.gz
 c392e6891959b18452c974d6576ed480a748affac6e1f735e4a45b6870ed8949 715958 python2.7-examples_2.7.3-11_all.deb
 3817490d11726e3338d1c6eb0b79a9119b266c6dbd478d850924bc23b60c76f5 306472 idle-python2.7_2.7.3-11_all.deb
 927ae041886f5bef204748bd3087f667e4ec12775099c909d989181bad11a809 6305672 python2.7-doc_2.7.3-11_all.deb
 75bb94442ee871701d92f2281aa14c21e7ec97f947ef81e52b0ae91c1614970d 321364 python2.7_2.7.3-11_amd64.deb
 86ba1d63e83be6591fa08db1f0f6bf28aa77107a716d743bb86b6e32a57cbe2e 2422834 libpython2.7-stdlib_2.7.3-11_amd64.deb
 fe64c72404d15d96b509588d8e32352e3da47f61c1b6b46ae8f2310ac25570d4 1196550 python2.7-minimal_2.7.3-11_amd64.deb
 19dd7cd535dda40fc67445f217b244d673702c1ea2101db579aa826c59f283aa 528818 libpython2.7-minimal_2.7.3-11_amd64.deb
 98b0b9097fa87828eaf730648ee22032f59b9269c54fa916d62b710c9341cb60 1210434 libpython2.7_2.7.3-11_amd64.deb
 1db1eee764d69899c568f416f0d8bcf7557e3c885d79e196a3533a9fed26c662 260480 python2.7-dev_2.7.3-11_amd64.deb
 79006b6b4b5b3735f2dbdf7c18d03540008f201099515ff1c4e57b3425e82837 22609964 libpython2.7-dev_2.7.3-11_amd64.deb
 cb895c587527e0945867ac4e8eb9a6c6fd6238d8fbc6afa5cb224d27f71f89f6 8681936 python2.7-dbg_2.7.3-11_amd64.deb
 658825e075a5586a37d936477d9230b28a8ba4ba9479f7e70c9f6123776a4922 6838908 libpython2.7-dbg_2.7.3-11_amd64.deb
Files: 
 e38e76f6245a5fb15d0ca9d8377d9a19 2288 python optional python2.7_2.7.3-11.dsc
 9864c686e9d70d5dcc15490bd3d7bc08 746710 python optional python2.7_2.7.3-11.diff.gz
 c849a27ad21aeca4eaad855cfb672c2d 715958 python optional python2.7-examples_2.7.3-11_all.deb
 95f8e9a6feb69cacf41ce68df0f88144 306472 python optional idle-python2.7_2.7.3-11_all.deb
 dedc2e7a051161e189056aa7c8bb4a8b 6305672 doc optional python2.7-doc_2.7.3-11_all.deb
 b6ee599cc34eecdc131546f61337683a 321364 python optional python2.7_2.7.3-11_amd64.deb
 4eeef97969365e5fe490df4432832cfd 2422834 python optional libpython2.7-stdlib_2.7.3-11_amd64.deb
 0b300a7bc23ab4900cea741f25d70265 1196550 python optional python2.7-minimal_2.7.3-11_amd64.deb
 972253cbb30ab83c29cf41a898eb405a 528818 python optional libpython2.7-minimal_2.7.3-11_amd64.deb
 0a0049f1f81fd6709cdfe278f45290ae 1210434 libs optional libpython2.7_2.7.3-11_amd64.deb
 c946340d6a8b223a5d2250544b30d118 260480 python optional python2.7-dev_2.7.3-11_amd64.deb
 3830276a4f67048aa5345a06a1247429 22609964 libdevel optional libpython2.7-dev_2.7.3-11_amd64.deb
 2ca11c4459175fb9c3a4ad2413f10d39 8681936 debug extra python2.7-dbg_2.7.3-11_amd64.deb
 bb34640ef4013b12c3201727a7b3849f 6838908 debug extra libpython2.7-dbg_2.7.3-11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDGCNMACgkQStlRaw+TLJzhxwCfe2iAte5PJKD+2dxy1JPONi23
K/QAoL4YAM0us0a878okuPFpgQ/0Zga6
=luW3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Feb 2013 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:17:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.